libgnet-2.0.8-alt4.1.x86_64.rpm


Advertisement

Description

libgnet - GNet is a simple network library

Distribution: ALT Linux Sisyphus
Repository: Classic x86_64
Package name: libgnet
Package version: 2.0.8
Package release: alt4.1
Package architecture: x86_64
Package type: rpm
Installed size: 144.03 KB
Download size: 144.03 KB
Official Mirror: ftp.altlinux.org
GNet is a simple network library. It is written in C, object-oriented, and built upon GLib. It is intended to be easy to use and port. GNet comes with documentation and examples. It is licensed under the GNU Library General Public Licence. Features: * TCP "client" and "server" sockets * UDP and IP Multicast sockets * High-level TCP connection and server objects * Asynchronous socket IO * Internet address abstraction * Asynchronous DNS lookup * IPv4 and IPv6 support * Byte packing and unpacking * URI parsing * SHA and MD5 hashes * Base64 encoding and decoding * SOCKS support * High-level HTTP connection object

Alternatives

Provides

  • libgnet = 2.0.8-alt4.1
  • libgnet-2.0.so.0()(64bit)
  • libgnet-2.0.so.0(GNET_2.0.8)(64bit)

    Download

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
      
    2. Update the package index:
      # sudo apt-get update
    3. Install libgnet rpm package:
      # sudo apt-get install libgnet

    Files

    • /usr/lib64/libgnet-2.0.so.0
    • /usr/lib64/libgnet-2.0.so.0.8.0

    Changelog

    2012-07-11 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.0.8-alt4.1 - Fixed build

    2010-11-29 - Alexey Shabalin <shaba@altlinux.ru> 2.0.8-alt4 - fix build by moving a #define before it's used (tnx debian)

    2010-02-05 - Alexey Shabalin <shaba@altlinux.ru> 2.0.8-alt3 - rm glib-devel from Requires in devel package (ALT #22900)

    2010-02-05 - Alexey Shabalin <shaba@altlinux.ru> 2.0.8-alt2 - fix build: update buildreq

    2009-09-22 - Alexey Shabalin <shaba@altlinux.ru> 2.0.8-alt1 - 2.0.8 - add Packager - change description - add versioning - drop obsoleted post scripts

    2006-11-20 - Alexey Shabalin <shaba@altlinux.ru> 2.0.7-alt1 - 2.0.7 - disable default build static libs

    Advertisement
    Advertisement